org.richfaces.component.html

## Class HtmlInputNumberSpinner

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.component.UIRangedNumberInput
          - - org.richfaces.component.UIInputNumberSpinner
            - - org.richfaces.component.html.HtmlInputNumberSpinner

- All Implemented Interfaces:
    javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

      public class HtmlInputNumberSpinner
      extends UIInputNumberSpinner

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlInputNumberSpinner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccesskey()`
    `java.lang.String` | `getAlt()`
    `java.lang.String` | `getClientErrorMessage()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getInputClass()`
    `int` | `getInputSize()`
    `java.lang.String` | `getInputStyle()`
    `java.lang.String` | `getLabel()`
    `int` | `getMaxlength()`
    `java.lang.String` | `getMaxValue()`
    `java.lang.String` | `getMinValue()`
    `java.lang.String` | `getOnblur()`
    `java.lang.String` | `getOnchange()`
    `java.lang.String` | `getOnclick()`
    `java.lang.String` | `getOndblclick()`
    `java.lang.String` | `getOndownclick()`
    `java.lang.String` | `getOnerror()`
    `java.lang.String` | `getOnfocus()`
    `java.lang.String` | `getOninputclick()`
    `java.lang.String` | `getOninputdblclick()`
    `java.lang.String` | `getOninputkeydown()`
    `java.lang.String` | `getOninputkeypress()`
    `java.lang.String` | `getOninputkeyup()`
    `java.lang.String` | `getOninputmousedown()`
    `java.lang.String` | `getOninputmousemove()`
    `java.lang.String` | `getOninputmouseout()`
    `java.lang.String` | `getOninputmouseover()`
    `java.lang.String` | `getOninputmouseup()`
    `java.lang.String` | `getOnkeydown()`
    `java.lang.String` | `getOnkeypress()`
    `java.lang.String` | `getOnkeyup()`
    `java.lang.String` | `getOnmousedown()`
    `java.lang.String` | `getOnmousemove()`
    `java.lang.String` | `getOnmouseout()`
    `java.lang.String` | `getOnmouseover()`
    `java.lang.String` | `getOnmouseup()`
    `java.lang.String` | `getOnselect()`
    `java.lang.String` | `getOnupclick()`
    `int` | `getSize()`
    `java.lang.String` | `getStep()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTabindex()`
    `boolean` | `isCycled()`
    `boolean` | `isDisableBrowserAutoComplete()`
    `boolean` | `isDisabled()`
    `boolean` | `isEnableManualInput()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAccesskey(java.lang.String _accesskey)`
    `void` | `setAlt(java.lang.String _alt)`
    `void` | `setClientErrorMessage(java.lang.String _clientErrorMessage)`
    `void` | `setCycled(boolean _cycled)`
    `void` | `setDisableBrowserAutoComplete(boolean _disableBrowserAutoComplete)`
    `void` | `setDisabled(boolean _disabled)`
    `void` | `setEnableManualInput(boolean _enableManualInput)`
    `void` | `setInputClass(java.lang.String _inputClass)`
    `void` | `setInputSize(int _inputSize)`
    `void` | `setInputStyle(java.lang.String _inputStyle)`
    `void` | `setLabel(java.lang.String _label)`
    `void` | `setMaxlength(int _maxlength)`
    `void` | `setMaxValue(java.lang.String _maxValue)`
    `void` | `setMinValue(java.lang.String _minValue)`
    `void` | `setOnblur(java.lang.String _onblur)`
    `void` | `setOnchange(java.lang.String _onchange)`
    `void` | `setOnclick(java.lang.String _onclick)`
    `void` | `setOndblclick(java.lang.String _ondblclick)`
    `void` | `setOndownclick(java.lang.String _ondownclick)`
    `void` | `setOnerror(java.lang.String _onerror)`
    `void` | `setOnfocus(java.lang.String _onfocus)`
    `void` | `setOninputclick(java.lang.String _oninputclick)`
    `void` | `setOninputdblclick(java.lang.String _oninputdblclick)`
    `void` | `setOninputkeydown(java.lang.String _oninputkeydown)`
    `void` | `setOninputkeypress(java.lang.String _oninputkeypress)`
    `void` | `setOninputkeyup(java.lang.String _oninputkeyup)`
    `void` | `setOninputmousedown(java.lang.String _oninputmousedown)`
    `void` | `setOninputmousemove(java.lang.String _oninputmousemove)`
    `void` | `setOninputmouseout(java.lang.String _oninputmouseout)`
    `void` | `setOninputmouseover(java.lang.String _oninputmouseover)`
    `void` | `setOninputmouseup(java.lang.String _oninputmouseup)`
    `void` | `setOnkeydown(java.lang.String _onkeydown)`
    `void` | `setOnkeypress(java.lang.String _onkeypress)`
    `void` | `setOnkeyup(java.lang.String _onkeyup)`
    `void` | `setOnmousedown(java.lang.String _onmousedown)`
    `void` | `setOnmousemove(java.lang.String _onmousemove)`
    `void` | `setOnmouseout(java.lang.String _onmouseout)`
    `void` | `setOnmouseover(java.lang.String _onmouseover)`
    `void` | `setOnmouseup(java.lang.String _onmouseup)`
    `void` | `setOnselect(java.lang.String _onselect)`
    `void` | `setOnupclick(java.lang.String _onupclick)`
    `void` | `setSize(int _size)`
    `void` | `setStep(java.lang.String _step)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setTabindex(java.lang.String _tabindex)`

    - ### Methods inherited from class org.richfaces.component.UIRangedNumberInput

      `decode, validateValue`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, compareValues, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, getValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlInputNumberSpinner

          public HtmlInputNumberSpinner()

  - ### Method Detail

    - #### getAccesskey

          public java.lang.String getAccesskey()

    - #### setAccesskey

          public void setAccesskey(java.lang.String _accesskey)

    - #### getAlt

          public java.lang.String getAlt()

    - #### setAlt

          public void setAlt(java.lang.String _alt)

    - #### getClientErrorMessage

          public java.lang.String getClientErrorMessage()

    - #### setClientErrorMessage

          public void setClientErrorMessage(java.lang.String _clientErrorMessage)

    - #### isCycled

          public boolean isCycled()

    - #### setCycled

          public void setCycled(boolean _cycled)

    - #### isDisableBrowserAutoComplete

          public boolean isDisableBrowserAutoComplete()

    - #### setDisableBrowserAutoComplete

          public void setDisableBrowserAutoComplete(boolean _disableBrowserAutoComplete)

    - #### isDisabled

          public boolean isDisabled()

      Specified by:
        `isDisabled` in class `org.richfaces.component.UIRangedNumberInput`

    - #### setDisabled

          public void setDisabled(boolean _disabled)

      Specified by:
        `setDisabled` in class `org.richfaces.component.UIRangedNumberInput`

    - #### isEnableManualInput

          public boolean isEnableManualInput()

    - #### setEnableManualInput

          public void setEnableManualInput(boolean _enableManualInput)

    - #### getInputClass

          public java.lang.String getInputClass()

    - #### setInputClass

          public void setInputClass(java.lang.String _inputClass)

    - #### getInputSize

          public int getInputSize()

    - #### setInputSize

          public void setInputSize(int _inputSize)

    - #### getInputStyle

          public java.lang.String getInputStyle()

      Specified by:
        `getInputStyle` in class `UIInputNumberSpinner`

    - #### setInputStyle

          public void setInputStyle(java.lang.String _inputStyle)

      Specified by:
        `setInputStyle` in class `UIInputNumberSpinner`

    - #### getLabel

          public java.lang.String getLabel()

    - #### setLabel

          public void setLabel(java.lang.String _label)

    - #### getMaxValue

          public java.lang.String getMaxValue()

      Specified by:
        `getMaxValue` in class `org.richfaces.component.UIRangedNumberInput`

    - #### setMaxValue

          public void setMaxValue(java.lang.String _maxValue)

      Specified by:
        `setMaxValue` in class `org.richfaces.component.UIRangedNumberInput`

    - #### getMaxlength

          public int getMaxlength()

    - #### setMaxlength

          public void setMaxlength(int _maxlength)

    - #### getMinValue

          public java.lang.String getMinValue()

      Specified by:
        `getMinValue` in class `org.richfaces.component.UIRangedNumberInput`

    - #### setMinValue

          public void setMinValue(java.lang.String _minValue)

      Specified by:
        `setMinValue` in class `org.richfaces.component.UIRangedNumberInput`

    - #### getOnblur

          public java.lang.String getOnblur()

    - #### setOnblur

          public void setOnblur(java.lang.String _onblur)

    - #### getOnchange

          public java.lang.String getOnchange()

    - #### setOnchange

          public void setOnchange(java.lang.String _onchange)

    - #### getOnclick

          public java.lang.String getOnclick()

    - #### setOnclick

          public void setOnclick(java.lang.String _onclick)

    - #### getOndblclick

          public java.lang.String getOndblclick()

    - #### setOndblclick

          public void setOndblclick(java.lang.String _ondblclick)

    - #### getOndownclick

          public java.lang.String getOndownclick()

    - #### setOndownclick

          public void setOndownclick(java.lang.String _ondownclick)

    - #### getOnerror

          public java.lang.String getOnerror()

    - #### setOnerror

          public void setOnerror(java.lang.String _onerror)

    - #### getOnfocus

          public java.lang.String getOnfocus()

    - #### setOnfocus

          public void setOnfocus(java.lang.String _onfocus)

    - #### getOninputclick

          public java.lang.String getOninputclick()

    - #### setOninputclick

          public void setOninputclick(java.lang.String _oninputclick)

    - #### getOninputdblclick

          public java.lang.String getOninputdblclick()

    - #### setOninputdblclick

          public void setOninputdblclick(java.lang.String _oninputdblclick)

    - #### getOninputkeydown

          public java.lang.String getOninputkeydown()

    - #### setOninputkeydown

          public void setOninputkeydown(java.lang.String _oninputkeydown)

    - #### getOninputkeypress

          public java.lang.String getOninputkeypress()

    - #### setOninputkeypress

          public void setOninputkeypress(java.lang.String _oninputkeypress)

    - #### getOninputkeyup

          public java.lang.String getOninputkeyup()

    - #### setOninputkeyup

          public void setOninputkeyup(java.lang.String _oninputkeyup)

    - #### getOninputmousedown

          public java.lang.String getOninputmousedown()

    - #### setOninputmousedown

          public void setOninputmousedown(java.lang.String _oninputmousedown)

    - #### getOninputmousemove

          public java.lang.String getOninputmousemove()

    - #### setOninputmousemove

          public void setOninputmousemove(java.lang.String _oninputmousemove)

    - #### getOninputmouseout

          public java.lang.String getOninputmouseout()

    - #### setOninputmouseout

          public void setOninputmouseout(java.lang.String _oninputmouseout)

    - #### getOninputmouseover

          public java.lang.String getOninputmouseover()

    - #### setOninputmouseover

          public void setOninputmouseover(java.lang.String _oninputmouseover)

    - #### getOninputmouseup

          public java.lang.String getOninputmouseup()

    - #### setOninputmouseup

          public void setOninputmouseup(java.lang.String _oninputmouseup)

    - #### getOnkeydown

          public java.lang.String getOnkeydown()

    - #### setOnkeydown

          public void setOnkeydown(java.lang.String _onkeydown)

    - #### getOnkeypress

          public java.lang.String getOnkeypress()

    - #### setOnkeypress

          public void setOnkeypress(java.lang.String _onkeypress)

    - #### getOnkeyup

          public java.lang.String getOnkeyup()

    - #### setOnkeyup

          public void setOnkeyup(java.lang.String _onkeyup)

    - #### getOnmousedown

          public java.lang.String getOnmousedown()

    - #### setOnmousedown

          public void setOnmousedown(java.lang.String _onmousedown)

    - #### getOnmousemove

          public java.lang.String getOnmousemove()

    - #### setOnmousemove

          public void setOnmousemove(java.lang.String _onmousemove)

    - #### getOnmouseout

          public java.lang.String getOnmouseout()

    - #### setOnmouseout

          public void setOnmouseout(java.lang.String _onmouseout)

    - #### getOnmouseover

          public java.lang.String getOnmouseover()

    - #### setOnmouseover

          public void setOnmouseover(java.lang.String _onmouseover)

    - #### getOnmouseup

          public java.lang.String getOnmouseup()

    - #### setOnmouseup

          public void setOnmouseup(java.lang.String _onmouseup)

    - #### getOnselect

          public java.lang.String getOnselect()

    - #### setOnselect

          public void setOnselect(java.lang.String _onselect)

    - #### getOnupclick

          public java.lang.String getOnupclick()

    - #### setOnupclick

          public void setOnupclick(java.lang.String _onupclick)

    - #### getSize

          public int getSize()

    - #### setSize

          public void setSize(int _size)

    - #### getStep

          public java.lang.String getStep()

    - #### setStep

          public void setStep(java.lang.String _step)

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### getTabindex

          public java.lang.String getTabindex()

    - #### setTabindex

          public void setTabindex(java.lang.String _tabindex)

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIInput`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIInput`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIInput`

Copyright © 2014. All Rights Reserved.